package com.osi.notification.actors;

import javax.jms.Destination;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.osi.notification.NotificationHelper;

import akka.actor.UntypedActor;

/**
 * This class will publish incoming messages onto a JMS Destination.
 */
@SuppressWarnings("unchecked")
public class DestinationSenderActor extends UntypedActor {
	
	private static final Logger log = LoggerFactory
			.getLogger(DestinationSenderActor.class);
	private final Destination destination;
	
	public DestinationSenderActor(Destination destination) {
		this.destination = destination;
	}

	@Override
	public void onReceive(Object message) throws Exception {
		try {
			log.debug("Sending Notification: {}", message);
			NotificationHelper.sendNotification(message, destination);
			log.debug("Notification Successfully Sent.");
		} catch (Exception e) {
			log.error("Error dispatching notification.", e);
		}
	}

}
