package com.osi.notification.subscription;


/**
 * Used to transmit the pertinent information for REST notification subscription
 * responses.
 */
public class RESTSubscriptionResponse {

	private final int status;
	private final String subscriptionUrl;
	
	/**
	 * Convenience constructor for responses that resulted statuses indicating
	 * a failed request, and therefore do not have a subscriptionUrl value.
	 */
	public RESTSubscriptionResponse(int status) {
		this(status, "");
	}
	
	public RESTSubscriptionResponse(int status, String subscriptionUrl) {
		this.status = status;
		this.subscriptionUrl = subscriptionUrl;
	}
	
	public int getStatus() { return status; }
	public String getSubscriptionUrl() { return subscriptionUrl; }
}
